Bug 1253023 - Rsyslog Reliable Event Logging Protocol (RELP) does not factor the response code of the Output Module in the return acknowledgement to the sender
Rsyslog Reliable Event Logging Protocol (RELP) does not factor the response c...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rsyslog7 (Show other bugs)
6.6
Unspecified Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Tomas Heinrich
BaseOS QE Security Team
: FutureFeature
: 1258065 (view as bug list)
Depends On:
Blocks: 1269194 1271982 1258065
  Show dependency treegraph
 
Reported: 2015-08-12 14:24 EDT by Dragan Basta
Modified: 2016-08-17 08:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1258065 (view as bug list)
Environment:
Last Closed: 2016-07-20 10:24:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dragan Basta 2015-08-12 14:24:41 EDT
Description of problem:
Rsyslog software assures the syslog message is reliably received by the Rsyslog Output Module, but the software does not factor the response code of the Output Module in the return acknowledgement to the sender. As such, if the Output Module fails to direct or save the message, the current implementation will return a positive acknowledgement to the sender resulting in a potential for message loss.
The issue was discussed with Adiscon.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 4 Chris Williams 2015-09-16 17:57:58 EDT
*** Bug 1258065 has been marked as a duplicate of this bug. ***
Comment 11 Tomas Heinrich 2016-07-20 10:24:36 EDT
Given that there's nobody actively pursuing this and the state of this feature upstream, I'm closing this for now.

Note You need to log in before you can comment on or make changes to this bug.